Package org.apache.wiki.htmltowiki.syntax

# Class PlainTextMonospaceDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.PlainTextMonospaceDecorator

public abstract class PlainTextMonospaceDecorator extends Object
Translates to wiki syntax from a plain text handling monospace.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XHtmlElementToWikiTranslator`
`chain`
`protected final PrintWriter`
`out`
`protected final Deque<String>`
`preStack`
`protected final PlainTextCssSpecialDecorator`
`ptcsd`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PlainTextMonospaceDecorator(PlainTextCssSpecialDecorator ptcsd, PrintWriter out, Deque<String> preStack, XHtmlElementToWikiTranslator chain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(XHtmlElementToWikiTranslator.ElementDecoratorData dto)`
Translates the given XHTML element into wiki markup.
`void`
`decorate(org.jdom2.Element e)`
Translates the given XHTML element into wiki markup.
`protected abstract String`
`markupMonospaceClose()`
Closing wiki markup for a monospace element.
`protected abstract String`
`markupMonospaceOpen()`
Opening wiki markup for a monospace element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected final PrintWriter out

### preStack

protected final Deque<String> preStack

### chain

protected final XHtmlElementToWikiTranslator chain

### ptcsd

protected final PlainTextCssSpecialDecorator ptcsd

## Constructor Details

### PlainTextMonospaceDecorator

protected PlainTextMonospaceDecorator(PlainTextCssSpecialDecorator ptcsd, PrintWriter out, Deque<String> preStack, XHtmlElementToWikiTranslator chain)

## Method Details

### decorate

public void decorate(XHtmlElementToWikiTranslator.ElementDecoratorData dto) throws org.jdom2.JDOMException
Translates the given XHTML element into wiki markup.

Parameters:
  `dto` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

### decorate

public void decorate(org.jdom2.Element e) throws org.jdom2.JDOMException
Translates the given XHTML element into wiki markup.

Parameters:
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

### markupMonospaceOpen

protected abstract String markupMonospaceOpen()
Opening wiki markup for a monospace element.

Returns:
  Opening wiki markup for a monospace element.

### markupMonospaceClose

protected abstract String markupMonospaceClose()
Closing wiki markup for a monospace element.

Returns:
  Closing wiki markup for a monospace element.